;;; ucs-num --- UCS table of Number Forms

;; Copyright (C) 1998 MORIOKA Tomohiko.

;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;; Keywords: ISO/IEC 10646, Unicode, charset, MULE, Number Forms

;; This file is part of XEmacs-UCS.

;; XEmacs-UCS is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published
;; by the Free Software Foundation; either version 2, or (at your
;; option) any later version.

;; XEmacs-UCS is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with XEmacs; see the file COPYING.  If not, write to the Free
;; Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
;; 02111-1307, USA.

;;; Code:

(require 'ucs-util)

(ucs-set-char #x2153 ?$(C(w(B) ; KS0-C-2877

(ucs-set-char #x2154 ?$(C(x(B) ; KS0-C-2878

(ucs-set-char #x215B ?$(C({(B) ; KS0-C-287B

(ucs-set-char #x215C ?$(C(|(B) ; KS0-C-287C

(ucs-set-char #x215D ?$(C(}(B) ; KS0-C-287D

(ucs-set-char #x215E ?$(C(~(B) ; KS0-C-287E

(ucs-set-char #x2160 ?$(C%0(B) ; KS0-C-2530
(ucs-set-char #x2160 ?$(G$+(B) ; C01-G-242B
(ucs-set-char #x2160 ?$A"q(B) ; GB0-A-2271

(ucs-set-char #x2161 ?$(C%1(B) ; KS0-C-2531
(ucs-set-char #x2161 ?$(G$,(B) ; C01-G-242C
(ucs-set-char #x2161 ?$A"r(B) ; GB0-A-2272

(ucs-set-char #x2162 ?$(C%2(B) ; KS0-C-2532
(ucs-set-char #x2162 ?$(G$-(B) ; C01-G-242D
(ucs-set-char #x2162 ?$A"s(B) ; GB0-A-2273

(ucs-set-char #x2163 ?$(C%3(B) ; KS0-C-2533
(ucs-set-char #x2163 ?$(G$.(B) ; C01-G-242E
(ucs-set-char #x2163 ?$A"t(B) ; GB0-A-2274

(ucs-set-char #x2164 ?$(C%4(B) ; KS0-C-2534
(ucs-set-char #x2164 ?$(G$/(B) ; C01-G-242F
(ucs-set-char #x2164 ?$A"u(B) ; GB0-A-2275

(ucs-set-char #x2165 ?$(C%5(B) ; KS0-C-2535
(ucs-set-char #x2165 ?$(G$0(B) ; C01-G-2430
(ucs-set-char #x2165 ?$A"v(B) ; GB0-A-2276

(ucs-set-char #x2166 ?$(C%6(B) ; KS0-C-2536
(ucs-set-char #x2166 ?$(G$1(B) ; C01-G-2431
(ucs-set-char #x2166 ?$A"w(B) ; GB0-A-2277

(ucs-set-char #x2167 ?$(C%7(B) ; KS0-C-2537
(ucs-set-char #x2167 ?$(G$2(B) ; C01-G-2432
(ucs-set-char #x2167 ?$A"x(B) ; GB0-A-2278

(ucs-set-char #x2168 ?$(C%8(B) ; KS0-C-2538
(ucs-set-char #x2168 ?$(G$3(B) ; C01-G-2433
(ucs-set-char #x2168 ?$A"y(B) ; GB0-A-2279

(ucs-set-char #x2169 ?$(C%9(B) ; KS0-C-2539
(ucs-set-char #x2169 ?$(G$4(B) ; C01-G-2434
(ucs-set-char #x2169 ?$A"z(B) ; GB0-A-227A

(ucs-set-char #x216A ?$A"{(B) ; GB0-A-227B

(ucs-set-char #x216B ?$A"|(B) ; GB0-A-227C

(ucs-set-char #x2170 ?$(C%!(B) ; KS0-C-2521
(ucs-set-char #x2170 ?$(G&5(B) ; C01-G-2635

(ucs-set-char #x2171 ?$(C%"(B) ; KS0-C-2522
(ucs-set-char #x2171 ?$(G&6(B) ; C01-G-2636

(ucs-set-char #x2172 ?$(C%#(B) ; KS0-C-2523
(ucs-set-char #x2172 ?$(G&7(B) ; C01-G-2637

(ucs-set-char #x2173 ?$(C%$(B) ; KS0-C-2524
(ucs-set-char #x2173 ?$(G&8(B) ; C01-G-2638

(ucs-set-char #x2174 ?$(C%%(B) ; KS0-C-2525
(ucs-set-char #x2174 ?$(G&9(B) ; C01-G-2639

(ucs-set-char #x2175 ?$(C%&(B) ; KS0-C-2526
(ucs-set-char #x2175 ?$(G&:(B) ; C01-G-263A

(ucs-set-char #x2176 ?$(C%'(B) ; KS0-C-2527
(ucs-set-char #x2176 ?$(G&;(B) ; C01-G-263B

(ucs-set-char #x2177 ?$(C%((B) ; KS0-C-2528
(ucs-set-char #x2177 ?$(G&<(B) ; C01-G-263C

(ucs-set-char #x2178 ?$(C%)(B) ; KS0-C-2529
(ucs-set-char #x2178 ?$(G&=(B) ; C01-G-263D

(ucs-set-char #x2179 ?$(C%*(B) ; KS0-C-252A
(ucs-set-char #x2179 ?$(G&>(B) ; C01-G-263E

;;; ucs-num ends here
